/*------------------------------------*\
  # styles.css
\*------------------------------------*/

/*
 * Author: Cedric Conrad
 * Description: Main CSS style file for Cedric's portfolio website
 * Created: 27.08.2023
 */

/* Define global CSS variables */

:root {
  --header-height: 2rem;
}

/* Regular Font */
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 1 999;
  /* 400 = normal */
  font-display: swap;
  src: url('/portfolio/assets/fonts/Montserrat/Montserrat-VariableFont_wght.ttf') format('truetype-variations'),
    url('/portfolio/assets/fonts/Montserrat/static/Montserrat-Regular.ttf') format('truetype');
  /* Fallback font */
}

/* Set the font family for the entire page */
body,
header,
footer {
  font-family: 'Montserrat', sans-serif;
}

body {
  padding-top: var(--header-height);
}